# Fabric MCP Server Architecture Document

## Table of Contents

- [Fabric MCP Server Architecture Document](#table-of-contents)
  - [Introduction / Preamble](./introduction-preamble.md)
  - [Technical Summary](./technical-summary.md)
  - [High-Level Overview](./high-level-overview.md)
  - [Architectural / Design Patterns Adopted](./architectural-design-patterns-adopted.md)
  - [Component View](./component-view.md)
  - [Project Structure](./project-structure.md)
    - [Key Directory Descriptions](./project-structure.md#key-directory-descriptions)
    - [Notes](./project-structure.md#notes)
  - [API Reference](./api-reference.md)
    - [External APIs Consumed](./api-reference.md#external-apis-consumed)
      - [Fabric REST API](./api-reference.md#fabric-rest-api)
    - [Internal APIs Provided (MCP Tools)](./api-reference.md#internal-apis-provided-mcp-tools)
  - [Data Models](./data-models.md)
    - [Core Application Entities / Domain Objects](./data-models.md#core-application-entities-domain-objects)
    - [API Payload Schemas (MCP Tools & Fabric API)](./data-models.md#api-payload-schemas-mcp-tools-fabric-api)
    - [Database Schemas](./data-models.md#database-schemas)
  - [Core Workflow / Sequence Diagrams](./core-workflow-sequence-diagrams.md)
    - [1. MCP Client: Tool Discovery ()](./core-workflow-sequence-diagrams.md#1-mcp-client-tool-discovery)
    - [2. MCP Client: Execute Non-Streaming Pattern (e.g., )](./core-workflow-sequence-diagrams.md#2-mcp-client-execute-non-streaming-pattern-eg)
    - [3. MCP Client: Execute Streaming Pattern ( with )](./core-workflow-sequence-diagrams.md#3-mcp-client-execute-streaming-pattern-with)
    - [4. Server Startup & Fabric API Connectivity Check](./core-workflow-sequence-diagrams.md#4-server-startup-fabric-api-connectivity-check)
  - [Definitive Tech Stack Selections](./definitive-tech-stack-selections.md)
  - [Infrastructure and Deployment Overview](./infrastructure-and-deployment-overview.md)
  - [Error Handling Strategy](./error-handling-strategy.md)
  - [Coding Standards](./coding-standards.md)
    - [Detailed Language & Framework Conventions](./coding-standards.md#detailed-language-framework-conventions)
      - [Python Specifics](./coding-standards.md#python-specifics)
  - [Overall Testing Strategy](./overall-testing-strategy.md)
  - [Security Best Practices](./security-best-practices.md)
  - [Key Reference Documents](./key-reference-documents.md)
  - [Change Log](./change-log.md)
