# Validation Checklists Index

This directory contains comprehensive validation checklists used throughout the product development lifecycle. Each checklist serves a specific role in ensuring quality, completeness, and alignment across different phases of the project.

## Available Checklists

### [PM Checklist](./PM-checklist.md)

**Product Manager Requirements Checklist**
A systematic framework for Product Managers to ensure PRDs and Epic definitions are complete, well-structured, and properly scoped for MVP development. Covers problem definition, business goals, user research, scope boundaries, and cross-functional requirements.

### [PO Master Checklist](./PO-Master-checklist.md)

**Product Owner Validation Checklist**
Comprehensive validation framework for Product Owners to verify the complete MVP plan before development execution. Focuses on project setup, infrastructure sequencing, dependency management, and ensuring all stories are properly ordered and implementable.

### [Architect Checklist](./architect-checklist.md)

**Architect Solution Validation Checklist**
Technical validation framework for Architects to ensure the solution design is robust, scalable, secure, and aligned with product requirements. Covers architecture fundamentals, technical stack decisions, resilience patterns, and implementation suitability for AI agents.

## Usage Flow

1. **PM Checklist** → Used during PRD creation and epic definition
2. **Architect Checklist** → Applied after PRD approval to validate technical design
3. **PO Master Checklist** → Final validation before development execution

Each checklist includes pass/fail criteria and identifies critical issues that must be resolved before proceeding to the next phase.
