# Fabric MCP Server - DX/Interaction Specification

## Table of Contents

- [Fabric MCP Server - DX/Interaction Specification](#table-of-contents)
  - [Introduction](./introduction.md)
  - [1. Overall UX Goals & Principles (Adapted for DX/OpX)](./1-overall-ux-goals-principles-adapted-for-dxopx.md)
    - [1.1. Target User Personas](./1-overall-ux-goals-principles-adapted-for-dxopx.md#11-target-user-personas)
    - [1.2. Usability Goals](./1-overall-ux-goals-principles-adapted-for-dxopx.md#12-usability-goals)
    - [1.3. Core DX/OpX Design Principles](./1-overall-ux-goals-principles-adapted-for-dxopx.md#13-core-dxopx-design-principles)
  - [2. Information Architecture (IA)](./2-information-architecture-ia.md)
    - [2.1. CLI Command Structure & Design](./2-information-architecture-ia.md#21-cli-command-structure-design)
    - [2.2. MCP Tool Organization & Discoverability](./2-information-architecture-ia.md#22-mcp-tool-organization-discoverability)
    - [2.3. Configuration Information](./2-information-architecture-ia.md#23-configuration-information)
    - [2.4. User-Facing Documentation Structure (Conceptual)](./2-information-architecture-ia.md#24-user-facing-documentation-structure-conceptual)
  - [3. User Flows](./3-user-flows.md)
    - [User Flow 1 (Revised): General Developer (End User) - Configure and use  in stdio mode with a managing client tool](./3-user-flows.md#user-flow-1-revised-general-developer-end-user-configure-and-use-in-stdio-mode-with-a-managing-client-tool)
    - [User Flow 2 (Revised): MCP Client Developer - Discover, Understand, and Test Available Fabric Tools using MCP Inspector](./3-user-flows.md#user-flow-2-revised-mcp-client-developer-discover-understand-and-test-available-fabric-tools-using-mcp-inspector)
    - [User Flow 3: MCP Client Developer - Execute a Fabric Pattern with Input and Streaming](./3-user-flows.md#user-flow-3-mcp-client-developer-execute-a-fabric-pattern-with-input-and-streaming)
    - [User Flow 4 (Revised): Server Administrator/Operator - Configure Fabric API Connection and Log Level (with startup check)](./3-user-flows.md#user-flow-4-revised-server-administratoroperator-configure-fabric-api-connection-and-log-level-with-startup-check)
    - [User Flow 5: General Developer (End User) - Launch server in Streamable HTTP mode](./3-user-flows.md#user-flow-5-general-developer-end-user-launch-server-in-streamable-http-mode)
    - [User Flow 6: MCP Client Developer - Get Fabric configuration securely](./3-user-flows.md#user-flow-6-mcp-client-developer-get-fabric-configuration-securely)
    - [User Flow 7: Server Administrator/Operator - Troubleshoot Fabric API Connection Issue](./3-user-flows.md#user-flow-7-server-administratoroperator-troubleshoot-fabric-api-connection-issue)
  - [4. Interaction Patterns & Conventions](./4-interaction-patterns-conventions.md)
    - [4.1. CLI Interaction Conventions](./4-interaction-patterns-conventions.md#41-cli-interaction-conventions)
    - [4.2. MCP Tool Interaction Conventions](./4-interaction-patterns-conventions.md#42-mcp-tool-interaction-conventions)
    - [4.3. Language, Tone, and Terminology](./4-interaction-patterns-conventions.md#43-language-tone-and-terminology)
  - [5. Accessibility (AX) Requirements (for CLI & MCP Tool DX)](./5-accessibility-ax-requirements-for-cli-mcp-tool-dx.md)
  - [Change Log](./change-log.md)
